Skip to main content
GET
/
public
/
v2
/
workflows
/
{workflow_id}
/
versions
/
Get workflow version history
curl --request GET \
  --url https://api.dualentry.com/public/v2/workflows/{workflow_id}/versions/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v2/workflows/{workflow_id}/versions/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v2/workflows/{workflow_id}/versions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": 123,
    "version_number": 123,
    "changed_by": {
      "id": 123,
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>"
    },
    "changed_at": "2023-11-07T05:31:56Z",
    "changes_summary": "<string>",
    "snapshot": {}
  }
]
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

workflow_id
integer
required

Query Parameters

include_snapshot
boolean
default:false

Response

OK

id
integer
required
version_number
integer
required
changed_by
PublicChangedBySchema · object | null
required

Schema for user who made a change.

changed_at
string<date-time>
required
changes_summary
string
required
snapshot
Snapshot · object | null
Last modified on July 13, 2026